AdminException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: AdminException

Package org.apache.geode.admin

# Class AdminException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.geode.GemFireCheckedException
org.apache.geode.admin.AdminException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheDoesNotExistException`, `UnmodifiableConfigurationException`

@Deprecated public class AdminException extends GemFireCheckedException
Deprecated.
as of 7.0 use the `management` package instead
An `AdminException` is thrown when administration or monitoring of GemFire fails.

Since:
  GemFire 3.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminException()`
  Deprecated.
  Constructs a new exception with `null` as its detail message.
  `AdminException(String message)`
  Deprecated.
  Constructs a new exception with the specified detail message.
  `AdminException(String message, Throwable cause)`
  Deprecated.
  Constructs a new exception with the specified detail message and cause.
  `AdminException(Throwable cause)`
  Deprecated.
  Constructs a new exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireCheckedException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AdminException

    public AdminException()
    Deprecated.
    Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  - ### AdminException

    public AdminException(String message)
    Deprecated.
    Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

  - ### AdminException

    public AdminException(String message, Throwable cause)
    Deprecated.
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### AdminException

    public AdminException(Throwable cause)
    Deprecated.
    Constructs a new exception with the specified cause. The detail message will be `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)